#!/usr/bin/perl

use strict;
use Getopt::Long;
use FDN::Common::TemplateParse;

my $opt_lst = [
	"comment|c=s",
	"template|Coverfile|C=s",
	"DateFormat=s",
	"from=s",
	"location_dest|l=s",
	"location_sender|L=s",
	"maxlines=i", # useless
	"number_dest|n=s",
	"number_sender|N=s",
	"pages=i",
	"regarding=s",
	"size_of_page=s", # not used
	"to=s",
	"voice_dest|v=s",
	"voice_sender|V=s",
	"company_dest|x=s",
	"company_sender|X=s",
	"maxcommentlength|z=i", # not used
];

my $options = {
	'comment'    => '',
	'template'   => 'faxcover.tpl',
	'DateFormat' => '%dd/%mm/%YYYY %HH:%MM:%SS',
	'maxlines'   => '',
	'size_of_pages' => '',
	
	'pages'      => 0,
	'from'       => undef,
	'to'         => '',
	'regarding'  => '',
	
	
	'location_dest' => '',
	'number_dest'   => '',
	'voice_dest'    => '',
	'company_dest'  => '',
	
	'location_sender' => '',
	'number_sender'   => '',
	'voice_sender'    => '',
	'company_sender'  => ,,
};

GetOptions ( $options, @$opt_lst );

$options->{'pages'}++;
if ( ! defined $options->{'from'} ) {
	my $uid = $<;
	my @pw = getpwuid($uid);
	$options->{'from'} = $pw[6];
}

print remplace('faxcover.tex', $options, 1);

