#!/usr/bin/perl

use strict;
use Test::More tests => 10;
use FDN::Sql::Workflow::Basic;
use FDN::Sql::Workflow::Run;
use FDN::Common::Config;

$FDN::Common::Config::CONFIG_ROOT='./t/';

# 4
my $res;
my $tid;
my $args = {};
$res = workflow_select_db('test');
ok ( $res, 'workflow_select_db');

# There already have been a lot of tests while testing the FDN-libs, so our
# test database is probably not empty. We cannot guess the first TASK_ID, so
# we will have to remember each.

my $tid1 = launch_task('essai',{
	nom => "Benjamin",
	telephone => 42,
	type => 'essai'
	});
ok ( $tid1, 'launch_task' );

my $tid2 = launch_task('complexe',{
	nom => "Benjamin",
	telephone => "01000000",
	type => 'complexe'
	});

my $tid3 = launch_task('serie',{
	nom => "Essai suivant",
	telephone => "012345678",
	type => 'serie'
	});

my $tid4 = launch_task('para', {
	pouet => "rien",
	serial => 42,
	type => 'para'
	});

`perl -I . workflow.pl -C ./t/ --db test -c wf.cfg`;

# 5,6
my $t1 = task_par_id($tid1);
is ( $t1->{'TASK_STATE'}, 'done', 'workflow');
is ( $t1->{'TASK_NBCHILD'}, 0, 'workflow');

# 7,8
my $t2 = task_par_id($tid2);
is ( $t2->{'TASK_STATE'}, 'done', 'workflow');
is ( $t2->{'TASK_NBCHILD'}, 0, 'workflow');

# 9,10
my $t3 = task_par_id($tid3);
is ( $t3->{'TASK_STATE'}, 'done', 'workflow');
is ( $t3->{'TASK_NBCHILD'}, 2, 'workflow');

# 11,12
my $t4 = task_par_id($tid4);
is ( $t4->{'TASK_STATE'}, 'done', 'workflow');
is ( $t4->{'TASK_NBCHILD'}, 2, 'workflow');

purge_task($tid1);
purge_task($tid2);
purge_task($tid3);
purge_task($tid4);

workflow_close_db();
